Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::AmplOptionsList::AmplOption Class Reference

Ampl Option class, contains name, type and description for an AMPL option. More...

`#include <AmplTNLP.hpp>`

Inheritance diagram for Ipopt::AmplOptionsList::AmplOption:
[legend]

## Public Member Functions
| AmplOption (const std::string ipopt_option_name, AmplOptionType type, const std::string description)
| ~AmplOption ()
const std::string & | IpoptOptionName () const
AmplOptionType | Type () const
char * | Description () const
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| AmplOption ()
| Default Constructor. More...
| AmplOption (const AmplOption &)
| Copy Constructor. More...
void | operator= (const AmplOption &)
| Overloaded Equals Operator. More...

## Private Attributes
const std::string | ipopt_option_name_
const AmplOptionType | type_
char * | description_

## Detailed Description

Ampl Option class, contains name, type and description for an AMPL option.

Definition at line 115 of file AmplTNLP.hpp.

## Constructor & Destructor Documentation

Ipopt::AmplOptionsList::AmplOption::AmplOption | ( | const std::string | ipopt_option_name,
|  | AmplOptionType | type,
|  | const std::string | description
| ) |  |

Ipopt::AmplOptionsList::AmplOption::~AmplOption | ( |  | ) |
| inline

Definition at line 122 of file AmplTNLP.hpp.

Ipopt::AmplOptionsList::AmplOption::AmplOption | ( |  | ) |
| private

Default Constructor.

Ipopt::AmplOptionsList::AmplOption::AmplOption | ( | const AmplOption & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

const std::string& Ipopt::AmplOptionsList::AmplOption::IpoptOptionName | ( |  | ) | const
| inline

Definition at line 127 of file AmplTNLP.hpp.

AmplOptionType Ipopt::AmplOptionsList::AmplOption::Type | ( |  | ) | const
| inline

Definition at line 131 of file AmplTNLP.hpp.

char* Ipopt::AmplOptionsList::AmplOption::Description | ( |  | ) | const
| inline

Definition at line 135 of file AmplTNLP.hpp.

void Ipopt::AmplOptionsList::AmplOption::operator= | ( | const AmplOption & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

const std::string Ipopt::AmplOptionsList::AmplOption::ipopt_option_name_
| private

Definition at line 158 of file AmplTNLP.hpp.

const AmplOptionType Ipopt::AmplOptionsList::AmplOption::type_
| private

Definition at line 159 of file AmplTNLP.hpp.

char* Ipopt::AmplOptionsList::AmplOption::description_
| private

Definition at line 160 of file AmplTNLP.hpp.

The documentation for this class was generated from the following file:

- src/Apps/AmplSolver/AmplTNLP.hpp